local addonName, addonTable = ...

local tracker = addonTable.tracker

local header = "|cff00aa00Storm, Earth, and Fire:|r"
tracker.RegisterCallback(addonName, "ENABLED", function(event)
    DEFAULT_CHAT_FRAME:AddMessage(header.." Enabled")
end)
tracker.RegisterCallback(addonName, "DISABLED", function(event)
    DEFAULT_CHAT_FRAME:AddMessage(header.." Disabled")
end)
tracker.RegisterCallback(addonName, "NEW_SPIRIT", function(event, name, guid, target, targetGUID, icon)
    DEFAULT_CHAT_FRAME:AddMessage(header.." |cffff0000New spirit:|r " .. name)
end)
tracker.RegisterCallback(addonName, "DEAD_SPIRIT", function(event, name, guid)
    DEFAULT_CHAT_FRAME:AddMessage(header.." |cffff0000Dead spirit:|r " .. name)
end)
tracker.RegisterCallback(addonName, "SPIRIT_TARGET", function(event, name, guid, target, targetGUID)
    DEFAULT_CHAT_FRAME:AddMessage(header.." |cffff0000Shared Target:|r " .. target .. "(" .. name .. ")")
end)
tracker.RegisterCallback(addonName, "SPIRIT_TARGET_END", function(event)
    DEFAULT_CHAT_FRAME:AddMessage(header.." |cffff0000End Shared Target|r")
end)
